# Gitea - Ansible Role

This role covers deployment, configuration and software updates of Gitea/Forgejo. This role is released under MIT Licence and we give no warranty for this piece of software. Currently supported OS - Debian.

You can deploy test instance using `Vagrantfile` attached to the role.
`vagrant up`

`ansible-playbook -b Playbooks/gitea.yml`

Then you can then access gitea from your computer on `http://192.168.33.14:3000`

# Gitea or Forgejo
This role allows for deployment of gitea and forgejo. By default the role deploys forgejo and this is the flavor that is supported and maintained. Installing Gitea using the role is possible however starting from version 1.18.2 is no longer maintained by Disroot team.
To switch to gitea, update following variables in your Playbook/host_vars:


```
gitea_flavour: 'gitea'
gitea_version: '1.18.2'
gitea_arch: 'linux-amd64'
gitea_download_url: 'https://github.com/go-gitea/gitea/releases/download/v{{ gitea_version }}/gitea-{{ gitea_version }}-{{ gitea_arch }}'
```

## Playbook
The playbook includes postgresql role and deploys entire stack needed to run Gitea. Additional roles are also available in the Ansible roles repos in git.

## Customization
You can deploy custom themes with this role. To do so, uncomment `gitea_theme_dir` and `gitea_custom_themes`  from `defaults/main.yml`. Add the theme repos' address and name there, enable them and then deploy with `ansible-playbook -b Playbooks/gitea.yml --tags theme`.

You can also add you own images like favicon, icons, etc. See https://docs.gitea.io/en-us/customizing-gitea/ to see how to prepare your images.
Then, copy them in the `img` folder of this role and uncomment `gitea_extra_files_path` and `gitea_theme_dir` from `defaults/main.yml`. You can then deploy with `ansible-playbook -b Playbooks/gitea.yml --tags config`.

For more information about customizaton, check https://docs.gitea.io/en-us/customizing-gitea/.
